Google Web Toolkit
Search Google Code:

# Class IncrementalCommandCanceledException

public class IncrementalCommandCanceledException
extends RuntimeException
Exception reported to the current UncaughtExceptionHandler when a deferred IncrementalCommand is canceled as a result of a slow script warning.

## Constructors

IncrementalCommandCanceledException(IncrementalCommand) |

## Methods

getCommand() | Returns the IncrementalCommand which was canceled by the user as a result of a slow script warning.

## Constructor Detail

### IncrementalCommandCanceledException

public IncrementalCommandCanceledException(IncrementalCommand command)

#### Parameters

command

## Method Detail

### getCommand

public IncrementalCommand getCommand()
Returns the IncrementalCommand which was canceled by the user as a result of a slow script warning.

#### Return Value

the IncrementalCommand which was canceled by the user as a result of a slow script warning